Original URL: http://www.theregister.co.uk/2007/10/03/check_point_pentest/

Check Point plays down FireWall-1 bug reports

Privilege escalation

By John Leyden

Posted in Security, 3rd October 2007 16:13 GMT

Security giant Check Point has played down the seriousness of reports of multiple vulnerabilities in a supposedly locked-down version of its flagship FireWall-1/VPN-1 security software.

Spanish security firm Pentest discovered multiple buffer overflow vulnerabilities during the course of a comprehensive security evaluation of the most secure version of the Check Point FireWall-1/VPN-1, Secure Platform R60, which is certified to an EAL4+ assurance level of the Common Criteria evaluation.

According to Pentest, the ten buffer overflows discovered in different applications (mostly command line utilities) in Secure Platform R60 ought to have been spotted during the development process. Pentest expresses doubts about whether the certification of the firewall according to Common Criteria EAL4+ is merited on the basis of the flaws it unearthed.

Although still widely known in the security industry as FireWall-1, Check Point's firewall technology is now sold as an inseparable part of its VPN-1 line, which include virtual private network functionality.

Pentest's analysis runs to more than 200 pages and is the most detailed we've ever seen on FireWall-1/VPN-1 or any other firewall, come to that. Importantly, Pentest was unable to demonstrate that any of the flaws it unearthed lent itself to remote exploitation, though it warned this might be possible.

In a response, Check Point said that Pentest's research only showed how a legitimate administrator might conduct local privilege escalation. "Ramifications of the reported issue are very limited because an exploit cannot be initiated by someone who is not already an administrator; also, the issue cannot be exploited remotely," it said.

Nonetheless, Check Point acknowledged that Pentest has identified a number of problems, and outlined a timetable for publishing fixes.

"A fix for the command line utility mentioned in the report, SDSUtil, is available as of today for any customer from Check Point Technical Support. In addition we are actively working on creating a comprehensive resolution for the problem - we expect to have a fix for VPN-1 NGX releases within this month. Fixes for other releases will be available per demand from Check Point Technical Support," it added.

CheckPoint and Pentest have been in discussion about the bugs for around six months, prior to its publication of the Spanish security outfit's analysis on Monday.

Hugo Vázquez Caramés, the lead researcher at Pentest who carried out the evaluation, expressed disappointment at Check Point's response, which he argues fails to fully address the issue.

"Check Point is trying to obscure the multiple flaws [by] misunderstanding our advisory. They state that my exploit is not dangerous. Yes, it is not, because it's a proof of concept. I did not want to release a dangerous one, but if they want I can do it," he said.

"Check Point is not talking about the main problem - multiple overflows in a EAL4+ certified product - just because it is embarrassing to admit," he added. ®